ios - निर्भर फायरबेज के साथ पीडी फ्रेमवर्क कैसे बनाया जाए




objective-c firebase (2)

मैं एक Firebase निर्भरता के साथ एक नया पॉड फ्रेमवर्क बनाना चाहता हूं, लेकिन जब मैं चलाता हूं:

pod lib lint

निम्न त्रुटि होती है:

- नोट | [आईओएस] एक्सकोडबिल्ड: हेडर / प्राइवेट / फायरबसे / फायरबेज। h: 1: 9: घातक त्रुटि: 'फायरबेस एनालिटिक्स / फायरबेशएनलिक्स एच' फाइल नहीं मिली

यह " पुश एसडीके पॉडस्पेक " है:


पॉडस्पीक फ़ाइल में follwoing लाइनों को जोड़ने के लिए मेरे लिए काम किया

मैं इसे यहां से मिलता हूं

s.pod_target_xcconfig = {
"OTHER_LDFLAGS" => '$(inherited) -framework "FirebaseCore" -framework "FirebaseMessaging"',
"CLANG_ALLOW_NON_MODULAR_INCLUDES_IN_FRAMEWORK_MODULES" => 'YES',
"FRAMEWORK_SEARCH_PATHS" => '$(inherited) "${PODS_ROOT}/FirebaseCore/Frameworks" "${PODS_ROOT}/FirebaseMessaging/Frameworks"'
}

मैंने इसे कोकोपोड्स 1.1.1 और निम्नलिखित पॉडस्पेक के साथ परीक्षण किया है। यह मुद्दा बिना पीओडी लिबर्ट पास आया

Pod::Spec.new do |s|
  s.name             = 'StackO-Dependency-Demo'
  s.version          = '0.1.0'
  s.summary          = 'A demo of Dependency in a Podspec.'    
  s.description      = <<-DESC
This pod demonstrates including dependencies to other Pods in a developed-pod.
                       DESC

  s.homepage         = 'https://github.com/ericwastaken/CocoaPod-Dependency-Demo'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'Some Dev' => '[email protected]' }
  s.source           = { :git => 'https://github.com/ericwastaken/CocoaPod-Dependency-Demo.git', :tag => s.version.to_s }
  s.social_media_url = 'https://twitter.com/ericwastaken'

  s.ios.deployment_target = '8.0'

  s.source_files = 'StackO-Dependency-Demo/Classes/**/*'

  # s.resource_bundles = {
  #   'StackO-Dependency-Demo' => ['StackO-Dependency-Demo/Assets/*.png']
  # }

  # s.public_header_files = 'Pod/Classes/**/*.h'
  # s.frameworks = 'UIKit', 'MapKit'
  s.dependency 'RxSwift', '~> 3.0.1'
  s.dependency 'Firebase/Core'
  s.dependency 'Firebase/Messaging'
end

मेरे परिणाम:

EricWkSta:StackO-Dependency-Demo eric$ pod lib lint

 -> StackO-Dependency-Demo
 -> StackO-Dependency-Demo (0.1.0)

StackO-Dependency-Demo passed validation.

क्या यह कोकापोड्स के पुराने संस्करण में एक बग हो सकता है?





pod